<%@ taglib prefix="spring" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Создание проекта</title>
    <style type="text/css">
        <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/cssforpr.css" %>
        <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/bootstrap.min.css" %>
    </style>
</head>
<body>
<%--
    Все сообщения ${<название сообщения} буду ошибками в случае неправильного заполнения/ не заполнения поля, около которого появляется
--%>

<nav class="navbar navbar-default navbar-fixed-top">
    <div class="container">
        <a class="navbar-brand" href="#">MePhorce</a>
        <nav class="nav nav-masthead">
            <a class="nav-link" href="/">Войти</a>
            <a class="nav-link" href="/aboutUs">О проекте</a>
            <a class="nav-link" href="/registrate">Создать аккаунт</a>
            <a class="nav-link" href="/contacts">Контакты</a>
        </nav>
    </div>
</nav>
<div class="container">
    <div class="login-block">
        <form:form method="post"  modelAttribute="Adder" action="/CreateProject">
            <h1>Создание проекта</h1>
            <form:input path="cltitle" type="text" value="" placeholder="Название" />${Tittle}   <br/>
            <form:textarea path="cldescription" id="description" value="" placeholder="Описание"/>${Description}   <br/>
            <form:input path="cldateOfCreation" type="text" value="" placeholder="Дата начала"/>${DateOfCreation}   <br/>
            <form:input path="cldateOfReady" type="text" value="" placeholder="Дата завершения"/>${DateOfReady}   <br/>
            <form:input path="clstatus" type="text" value="" placeholder="Статус"/>${Status}   <br/>
            <form:input path="clsum" type="text" value="" placeholder="Сумма"/>${Sum}   <br/>
            ${errMessage}<br/>
            <form:button>Создать</form:button>
        </form:form>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <span>&copy;2017 Mephorce</span>
    </div>
</footer>

</body>
</html>